////////////////////////////////////////////////////////////////////
//
//  Tutorial uso di MySql con driver ODBC della actual technologies
//
//  Created by Francesco Germinara 
// 
//  Freeware (c) 2005 SofTech di F.Germinara - www.germinara.it. 
//
//  For information please contact me at info@germinara.it 
////////////////////////////////////////////////////////////////////
//  History:
//
//  Description:
//
////////////////////////////////////////////////////////////////////

#import "windowController.h"

@implementation windowController

-(void) awakeFromNib{
//Sposto l'origine della finestra
 NSScreen* mainScreen = [NSScreen mainScreen];
 NSRect screen = [mainScreen frame];
 NSRect wndRect=[mainWnd frame];
 int scostY= screen.size.height - wndRect.size.height;
 NSPoint position = NSMakePoint(0,scostY); //Angolo in alto a sinistra
 [mainWnd setFrameOrigin:position];
 [self setupRightDrawer]; //Imposto il Drawer
}


- (IBAction)gstTabellaPersone:(id)sender
{
   [NSApp beginSheet:personaPanel modalForWindow:[NSApp mainWindow] modalDelegate:self didEndSelector:@selector(sheetDidEnd: returnCode: contextInfo:) contextInfo:NULL];
}

- (IBAction)gstTabellaRicorrenze:(id)sender
{
   [NSApp beginSheet:ricorrenzaPanel modalForWindow:[NSApp mainWindow] modalDelegate:self didEndSelector:@selector(sheetDidEnd: returnCode: contextInfo:) contextInfo:NULL];
}

- (IBAction)gstTabellaRegali:(id)sender
{
   [NSApp beginSheet:regaliPanel modalForWindow:[NSApp mainWindow] modalDelegate:self didEndSelector:@selector(sheetDidEnd: returnCode: contextInfo:) contextInfo:NULL];
}

- (IBAction)gstRicerca:(id)sender
{
   [NSApp beginSheet:panelMovimenti->panelCerca modalForWindow:[NSApp mainWindow] modalDelegate:self didEndSelector:@selector(sheetDidEnd: returnCode: contextInfo:) contextInfo:NULL];
}


- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo{

}

- (void)windowDidBecomeKey:(NSNotification *)aNotification{
 static int bOnlyOnce=0;
 if(!bOnlyOnce){
  [panelMovimenti startUseDataSource];
  bOnlyOnce=1;
 }
 [panelMovimenti startUseDataSourceForComboBox];
}

//Imposto il drawer
- (void)setupRightDrawer {

    [righDrawer setMinContentSize:NSMakeSize(200, 0)]; //Dimensione minima oltre la qual si richiude in automatico
    [righDrawer setMaxContentSize:NSMakeSize(600, 0)]; //Max dimensione di trascinamento con mouse
	[righDrawer setContentSize:NSMakeSize(400,0)]; //Dimensione Altezza per quelli orizzontali
	[righDrawer setLeadingOffset:20]; //Scostampe superiore per quelli orizzontali
    [righDrawer setTrailingOffset:20] ; //Scostamento inferiore per quelli orizzontali
}


@end
